# iOS App Upload Feature

{% hint style="info" %}
In order to use iOS App Upload feature, you are required to subscribe to a valid plan. Please refer to [Monaca Subscription Plans](https://monaca.mobi/en/pricing).
{% endhint %}

{% hint style="info" %}
For shared projects, only the project owner can use the iOS App Upload feature.
{% endhint %}

Monaca allows you to upload your app to App Store Connect right from the Monaca IDE. In order to do this, follow these steps:

\
1\. Create a release build version of your app through Monaca. Please refer to [Building an iOS App](/products_guide/monaca_ide/build/ios/build_ios.md).

2\. The following screen will appear. Click the `AppStore` icon.

![](/files/-MfkcxLxTIscuh1capfi)

3\. The App Upload window will appear. Click **Next**.

![](/files/-Mfkd14FaImdsl_Zvl4x)

4\. Fill in a valid Apple account information. Click **Next**.

Use an `app-specific password` on the password field. For details on how to obtain the password for an app, please refer [here ](https://support.apple.com/en-us/HT204397).

![](/files/-Mfkd4O35BARSsRiwDij)

5\. Make sure you’ve [registered](/products_guide/monaca_ide/deploy/appstore/app_store_connect.md#registering-the-app) the app with App Store Connect before uploading your app. Then, tick **We've registered the application with App Store Connect.** and click **Upload**.

![](/files/-Mfkd8BorJKe5CLTYeqt)

6\. The following screen is displayed for a plan that requires billing. Click **Purchase**.

![](/files/-MfkdBD4nPNSIGhRhtR_)

7\. The following screen will be displayed when the billing process is completed. Click **Upload**.

![](/files/-MfkdEm0r2AMdZPPC0fC)

8\. The upload will start. Please wait.

{% hint style="info" %}
If you upload multiple versions of the app, please make sure that each file has a different version number. Otherwise, the upload will fail.
{% endhint %}

![](/files/-MfkdIpStQGIH-rMObTe)

9\. If your upload is successful, the following screen will appear. It may take a little while before the app shows up in App Store Connect.

![](/files/-MfkdTHkyT056hD4Qult)

{% hint style="info" %}
Sometimes, when Monaca uploads your app to App Store Connect, Apple finds errors on their end and reports them to you via email. If this happens, please read the report and fix the errors appropriately. Then, re-upload the app.
{% endhint %}

10\. Now that you have uploaded your app, you can see it in App Store Connect. Please refer to [Selecting the uploaded app](/products_guide/monaca_ide/deploy/appstore/app_store_connect.md#selecting-the-uploaded-app).

{% hint style="warning" %}
If you use an activation code to upgrade your account, you can use the Monaca upload feature if your plan supports it. Please [contact us ](https://monaca.io/service/index.html)for more details.
{% endhint %}

See Also:

* [App Store Distribution](/products_guide/monaca_ide/deploy/appstore.md)
* [App Store Connect Guide](/products_guide/monaca_ide/deploy/appstore/app_store_connect.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://en.docs.monaca.io/products_guide/monaca_ide/deploy/appstore/app_submission.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
